%define qtdir /usr/lib/qt3
%define app_name	tellico
%define app_version	0.13.7
%define build_number	alt1

Name:      %{app_name}
Version:   %{app_version}
Release:   %{build_number}
Source0:   http://www.periapsis.org/tellico/download/%{name}-%{version}.tar.gz
License:   GNU GPL
Summary:   A collection manager.
Group:     Databases
Url:       http://www.periapsis.org/tellico/
Requires:  kdelibs >= 3.1, libxslt >= 1.0.19
BuildRequires: gcc-c++, libqt3-devel >= 3.1, kdelibs-devel, libxslt-devel >= 1.0.19, libxml2
BuildRequires: desktop-file-utils

%description
Tellico is an KDE application for organizing your collections. It
provides default templates for books, bibliographies, videos, music,
coins, stamps, trading cards, comic books, and wines.

%prep
%setup -q

%build
%__subst "s/\.la/\.so/g" configure
export QTDIR=%qtdir
export KDEDIR=%prefix
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
#export LDFLAGS="-L%buildroot/%_libdir -L%buildroot/%_libdir/kde3 -L%_libdir"
%configure
%make KDE_RPATH=

%install
%makeinstall

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} --delete-original \
  --dir %{buildroot}%{_datadir}/applications                      \
  --add-category ";Application;SystemSetup;X-Red-Hat-Extra;"       \
  %{buildroot}%{_datadir}/applnk/Applications/%{name}.desktop

rm -rf %{buildroot}%{_datadir}/applnk
%find_lang %name

%post

%postun

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/%{name}*
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/mimelnk/application/x-%{name}.desktop
%{_datadir}/apps/%{name}/*
%{_datadir}/apps/kconf_update/tellico-rename.upd
%{_datadir}/icons/*/*/*/%{name}.png
%{_datadir}/locale/*/*/%{name}*
%{_datadir}/doc/HTML/*/%{name}/*

%changelog
* Tue Jun 21 2005 Alexander Bokovoy <ab@altlinux.ru> 0.13.7-alt1
- 0.13.7

* Sun Dec 26 2004 Alexander Bokovoy <ab@altlinux.ru> 0.13.1-alt1
- New version

* Sun Dec 26 2004 Alexander Bokovoy <ab@altlinux.ru> 0.12-alt1
- Initial packaging

* Thu Sep 23 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.12-1
- Updated to v0.12.  Renamed to Tellico because of trademark conflict. 
- Tellico 0.12 is identical to Bookcase 0.11, except for the name change.

* Sun Sep 05 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.11-1
- Updated to v0.11.

* Mon May 31 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9.3-1
- Updated for v0.9.3.

* Wed May 19 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9.2-1
- Updated for v0.9.2.

* Sun May 10 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9.1-3
- Spec file housekeeping - no feature changes.

* Fri May  7 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9.1
- Recompiled for version 0.9.1.

* Sat Apr 24 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.9
- Recompiled for version 0.9.

* Thu Mar 11 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.8.5
- Recompiled for version 0.8.5

* Sun Feb 22 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.8.4
- Recompiled for version 0.8.4

* Wed Feb 11 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.8.3
- Recompiled for version 0.8.3

* Sat Jan 31 2004 Micheal D. Moery <rpm at rockerssoft.com> 0.8
- Recompiled for version 0.8

* Tue Dec 30 2003 Robert Rockers <rpm at rockerssoft.com> 0.7.2
- Recompiled for version 0.7.2

* Mon Nov 10 2003 Robert Rockers <rpm at rockerssoft.com> 0.7.1
- Recompiled for version 0.7.1

* Wed Aug 20 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.6
- Recompiled for version 0.6.6.

* Tue Aug 12 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.5
- Recompiled for version 0.6.5.

* Mon May 12 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.3
- Recompiled for version 0.6.3. Removed the touch fixes as they were not needed
- for this version.

* Mon May 12 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.2
- Recompiled for version 0.6.2.

* Wed May 7 2003 Robert Rockers <rpm at rockerssoft.com> 0.6.1
- Recompiled for version 0.6.1.

* Mon May 5 2003 Robert Rockers <rpm at rockerssoft.com> 0.6
- Initial RedHat RPM release.
